function g0 = gamma0(x, a, b, e_g0, u_g0, vt, e, u0)
%GAMMA0 calculate spatially dependent mobility
%   Based on a tanh profile.
if isnumeric(e_g0)
    g0 = e_g0*(tanh((x+a+vt)/b)+1)/2+u_g0;
else
    g0 = u_g0./(1-Ternary_model.phi_tot(x, a, b, e, u0, vt));
end
end